Bug 1228776 - 'atomic run' should take additional arguments for the run command
Summary: 'atomic run' should take additional arguments for the run command
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic
Version: 22
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-05 16:39 UTC by Dominik Perpeet
Modified: 2016-07-19 14:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:39:32 UTC


Attachments (Terms of Use)

Description Dominik Perpeet 2015-06-05 16:39:33 UTC
Description of problem:
atomic run currently runs a container with its default RUN command. Sometimes it is necessary to add arguments, but not worry about the default parameters. The workaround is to specify the full RUN command via docker, circumventing the convenient use of atomic.


Version-Release number of selected component (if applicable):
2015-06-04 13:43:05     22.26     4f7079eebf     fedora-atomic     fedora-atomic:fedora-atomic/f22/x86_64/docker-host

How reproducible:
always

Steps to Reproduce:
atomic run cockpit/ws --no-tls

Actual results:
/usr/bin/docker run -d --privileged --pid=host -v /:/host cockpit/ws /container/atomic-run --local-ssh

Expected results:
/usr/bin/docker run -d --privileged --pid=host -v /:/host cockpit/ws /container/atomic-run --local-ssh --no-tls

Comment 1 Stef Walter 2015-06-17 14:32:51 UTC
Subin, this is the same bug that's affecting your work.

Comment 2 Stef Walter 2015-06-17 21:07:48 UTC
Subin has done some work here: https://github.com/projectatomic/atomic/pull/65

Comment 3 Daniel Walsh 2015-08-21 05:17:07 UTC
I have pushed a fix in for this

Should be in atomic-1.2

Comment 4 Fedora Admin XMLRPC Client 2016-06-08 14:19:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2016-07-19 14:39:32 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.